# daemon_slpars Struct Reference

Structure that keeps the parameters needed by the daemon_serviceloop() function. More...

`#include <daemon.h>`

## Data Fields
SOCKET | sockctrl
| SOCKET ID of the control connection.
int | isactive
| Not null if the daemon has to run in active mode.
int | nullAuthAllowed
| '1' if we permit NULL authentication, '0' otherwise
int | activeclose
| '1' if the client closed the control connection explicitely; used in active mode only

## Detailed Description

Structure that keeps the parameters needed by the daemon_serviceloop() function.

Definition at line 37 of file daemon.h.

## Field Documentation

int activeclose

'1' if the client closed the control connection explicitely; used in active mode only

Definition at line 42 of file daemon.h.

int isactive

Not null if the daemon has to run in active mode.

Definition at line 40 of file daemon.h.

int nullAuthAllowed

'1' if we permit NULL authentication, '0' otherwise

Definition at line 41 of file daemon.h.

SOCKET sockctrl

SOCKET ID of the control connection.

Definition at line 39 of file daemon.h.

The documentation for this struct was generated from the following file:

- daemon.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.